Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.validation
Interface SContextValidator

    public interface SContextValidator

A sample validator interface for `SContext`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` | `validate()`
`boolean` | `validateAgents(org.eclipse.emf.common.util.EList<SAgent> value)`
`boolean` | `validateAllAgents(org.eclipse.emf.common.util.EList<SAgent> value)`
`boolean` | `validateAllContexts(org.eclipse.emf.common.util.EList<SContext> value)`
`boolean` | `validateLibrary(org.eclipse.emf.common.util.EList<IArtifact> value)`
`boolean` | `validateProjections(org.eclipse.emf.common.util.EList<SProjection> value)`
`boolean` | `validateValueLayers(org.eclipse.emf.common.util.EList<SValueLayer> value)`

Method Detail

### validate

    boolean validate()

### validateAgents

    boolean validateAgents(org.eclipse.emf.common.util.EList<SAgent> value)

### validateProjections

    boolean validateProjections(org.eclipse.emf.common.util.EList<SProjection> value)

### validateValueLayers

    boolean validateValueLayers(org.eclipse.emf.common.util.EList<SValueLayer> value)

### validateLibrary

    boolean validateLibrary(org.eclipse.emf.common.util.EList<IArtifact> value)

### validateAllAgents

    boolean validateAllAgents(org.eclipse.emf.common.util.EList<SAgent> value)

### validateAllContexts

    boolean validateAllContexts(org.eclipse.emf.common.util.EList<SContext> value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD